#!/bin/bash

DEVICE_NAME=$1  # Get the device name passed from udev

BASE_DIR="/home/dietpi" 
LOGFILE="$BASE_DIR/media_change.log"

# Check if the device exists in the fdisk -l output and log the result
if sudo fdisk -l | grep -q "$DEVICE_NAME"; then
    echo "$(date) Floppy disk is present in device $DEVICE_NAME" >> $LOGFILE
    echo "$(date) Mounting device $1 to /mnt/floppy." >> $LOGFILE
    /usr/bin/systemd-mount --umount /mnt/floppy
    /usr/bin/systemd-mount $1 /mnt/floppy
    echo "$(date) Floppy mounted"  >> $LOGFILE

    # Read content from diskplayer.contents
    var=$(cat /mnt/floppy/diskplayer.contents)
    echo "$(date) Running Python script with argument: '$var'"  >> $LOGFILE
    # Run the Python script and capture both stdout and stderr to the log
    /usr/bin/python3 $BASE_DIR/floppy-ytube-player/main.py "$var" >> $LOGFILE 2>&1
else
    echo "$(date): No floppy disk is present in device $DEVICE_NAME" >> $LOGFILE
    /usr/bin/systemd-mount --umount /mnt/floppy
    echo "$(date) Floppy unmounted"  >> $LOGFILE
    /usr/bin/python3 $BASE_DIR/floppy-ytube-player/main.py EJECT >> $LOGFILE 2>&1
fi
